## Interface Swift_Filterable

(line 18)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Filterable.php

##### Allows StreamFilters to operate on a stream.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void addFilter (Swift_StreamFilter $filter, string $key)
void removeFilter (string $key)

#### Method addFilter (line 26)

#### void addFilter( Swift_StreamFilter $filter, string $key)

##### Add a new StreamFilter, referenced by $key.

#### Parameters

- Swift_StreamFilter $filter:
- string $key:

#### Info

- access - public

#### Method removeFilter (line 32)

#### void removeFilter( string $key)

##### Remove an existing filter using $key.

#### Parameters

- string $key:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:21 +0000 by phpDocumentor 1.4.3